Page MenuHomePhabricator

Trilogy Import - Gift Data section didn’t populate
Closed, ResolvedPublic2 Story Points

Description

Event Timeline

awight created this task.Oct 23 2015, 10:29 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Aklapper, atgo, awight and 4 others.
XenoRyet set Security to None.

@LeanneS @CaitVirtue is this a blocker for the event? If so, please escalate to "unbreak now!" priority.

CaitVirtue raised the priority of this task from High to Unbreak Now!.Oct 26 2015, 5:19 PM

@atgo Set priority to unbreak now. I'm not even sure what this had to do with the upgrade. As I understand it, it doesn't work on the current version of Civi either.

@CaitVirtue this isn't related to the upgrade, this is the Trilogy Import.
Is this the issue you need to be dealt with that you just mentioned in the
standup? There's also this one: T114155

Yikes, I didn't realize there were two issues here. Across the board, getting Trilogy data into Civi needs to work. Set the other task to unbreak now as well.

@atgo @CaitVirtue I'm working on this one as we speak. This is the same issue as T114155 is having. To be clear what the bug is, the Trilogy data goes in, it's just missing the Direct Mail Appeal information. I've got some good leads and I'll let you know when I have a fix ready.

XenoRyet lowered the priority of this task from Unbreak Now! to Normal.Oct 28 2015, 7:57 PM

Setting priority to normal. Bug still exists, but there is a viable workaround and current data for the upcoming event is in.

@XenoRyet I just want to follow up on this issue. With the Civi upgrade, none of the gift data fields populate, including Restrictions, Gift Source, and Direct Mail Appeal. So even with the workaround for Direct Mail Appeal, the donations do not go to any appeal nor to the defaults for the other fields. Can we raise the priority on this with our event being on Thursday?

atgo raised the priority of this task from Normal to Unbreak Now!.Nov 2 2015, 6:50 PM

Raising to Unbreak Now!

awight added a comment.Nov 2 2015, 7:08 PM

@XenoRyet
Just checking that you got this memo:

10:53 < ejegg> atgomez, xenoryet: We just realized the deployed version of all our modules is 
               missing the fixes from October, so I wouldn't be suprised if that error is a 
               symptom
10:54 < awight> +1

@LeanneS @atgo After the latest Civi deploy, the Trilogy importer should be working as originally intended again. @LeanneS you can continue to use the workaround of using the '2015 SF' value if it is convenient, but using the actual appeal name of '2015 San Francisco Event' should also work now. Go ahead and give it a try on production and let me know how it goes.

@XenoRyet Thanks! The data reflected accurately, including the appeal name.

XenoRyet closed this task as Resolved.Nov 4 2015, 5:28 AM
XenoRyet edited a custom field.Nov 4 2015, 9:22 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:43 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:43 PM